sayren Docs
상품

상품 전체 수정

PUT
/v1/products/{productId}
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1 <= length <= 100
categoryId*string
Length1 <= length
salePrice*integer

판매가. 원(KRW) 단위 정수, 최소 10원, 10원 단위

Multiple Of10
Range10 <= value
originalPrice?integer

정가(할인 전 표시 가격). 원 단위

description?string
descriptionJson?string|null
images?array<>
Items1 <= items <= 10
attributes?array<>
deliveryType?string

배송비 유형. FREE 무료, PAID 유료, CONDITIONAL_FREE 조건부 무료

Default"PAID"

Value in

  • "FREE"
  • "PAID"
  • "CONDITIONAL_FREE"
deliveryFee?integer

배송비. 원 단위

Default0
conditionalFreeAmount?integer

CONDITIONAL_FREE일 때 무료 배송이 되는 주문 금액. 원 단위

returnFee?integer

반품 배송비. 원 단위

Default0
exchangeFee?integer

교환 배송비. 원 단위

Default0
shippingAddressId?string
returnAddressId?string
optionGroups?array<>
Itemsitems <= 3
Default[]
variants*array<>
Items1 <= items <= 500

Response Body

application/json

curl -X PUT "https://example.com/v1/products/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "categoryId": "string",    "salePrice": 10,    "variants": [      {}    ]  }'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "productId": "string",    "name": "string",    "status": "SALE",    "salePrice": 0,    "discountedPrice": 0,    "stockQuantity": 0,    "categoryId": "string",    "thumbnailUrl": "http://example.com",    "hasOptions": true,    "updatedAt": "string",    "description": "string",    "descriptionJson": "string",    "originalPrice": 0,    "images": [      "http://example.com"    ],    "attributes": [      {        "attributeId": "string",        "value": "string"      }    ],    "optionGroups": [      {        "groupId": "string",        "name": "string",        "sortOrder": 0,        "values": [          {            "valueId": "string",            "name": "string",            "sortOrder": 0          }        ]      }    ],    "variants": [      {        "variantId": "string",        "valueIds": [          "string"        ],        "name": "string",        "additionalPrice": 0,        "stockQuantity": 0,        "sku": "string",        "barcode": "string",        "costPrice": 0,        "weightGram": 0,        "sellerCode": "string",        "usable": true      }    ],    "deliveryType": "FREE",    "deliveryFee": 0,    "conditionalFreeAmount": 0,    "returnFee": 0,    "exchangeFee": 0,    "shippingAddressId": "string",    "returnAddressId": "string",    "createdAt": "string"  },  "error": null}